﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script type="text/javascript">

    function AddRoutePrice(s, e) {
        popupnew.SetHeaderText('Route Convertion Master Info Add ');
        popupnew.Show();
    }

    function OnHyperLinkClick(s, e) {
        popupnew.SetHeaderText('Route Convertion Master Info Edit ');
        popupnew.Show();
    }

    function GridRouteConvertionMaster_BeginCallback(s, e) {
        e.customArgs["Route_cd"] = txtRouteCodeSearch.GetText();
        e.customArgs["Route_conv_cd"] = txtRouteConvCodeSearch.GetText();
    }

    function btnSave_click(s, e) {
        if (validating_insert()) 
        {
            //---=== Ajax store
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/RouteConvertionMaster/AddingRouteConversion")",
                data: {
                        Route_Conv_Cd: txtRouteConvCode.GetText(),
                        Route_Cd: txtRouteCode.GetText(),
                        Route_Conv_Name: txtRouteConvName.GetText(),
                        LP_Cd: grlLPHeader.GetText(),
                        Valid_From: deValidFrom.GetText(),
                        Valid_To: deValidTo.GetText()
                    },
                    success: function (result) {
                        var resValue = result.split('|');
                        if (resValue[0] == 'Error')
                        {
                            alert(resValue[1]);
                        }
                        else
                        {
                            GridRouteConvertionMaster.PerformCallback();
                            ClearForm();
                        }
                    },
                    error: function (result) {
                        var resValue = result.split('|');
                        alert(resValue[1]);
                        ClearForm();
                        GridRouteConvertionMaster.PerformCallback();
                    }
                });
                //---=== End ajax store
        } 
        else 
        {
            alert('Please, fill all fields.');
        }
    }

    function validating_insert() {
        var result = true;
        
        if (txtRouteConvCode.GetText() == '')
            result = false;

        if (txtRouteCode.GetText() == '')
            result = false;

        if (txtRouteConvName.GetText() == '')
            result = false;

        if (grlLPHeader.GetText() == '')
            result = false;

        if (deValidFrom.GetText() == '')
            result = false;

        if (deValidTo.GetText() == '')
            result = false;

        return result;
    }


    function ClearForm() {
        popupnew.Hide();
        txtRouteConvCode.SetText('');
        txtRouteCode.SetText('');
        txtRouteConvName.SetText('');
        deValidFrom.SetDate(null);
        deValidTo.SetDate(null);
        grlLPHeader.PerformCallback();
        GridgrlLPHeader.PerformCallback();
    }

    function btnCancel_click(s, e) {
        ClearForm();
    }

    function OnHyperLinkClick(s, e) {
        popupnew.SetHeaderText('Route Price Master Info Edit ');
        popupnew.Show();
    }
    
    function btnSearch_click(s, e) {
        if ((txtRouteCode.GetText() != '')||(txtRouteConvCodeSearch.GetText() != ''))
        {
            GridRouteConvertionMaster.PerformCallback();
        }
        else
        {
            alert('Please, fill parameter search.');
        }
    }

    function btnClear_click(s, e) {
        txtRouteConvCodeSearch.SetText('');
        txtRouteCodeSearch.SetText('');
    }

</script>


<div style="width:1124px;padding-right:0px; padding-bottom:15px; ">

    <table width="100%">
        <tr>
            <td style="border:1px solid #142B94;background-color:#DEECFD;padding:10px;">
                @Html.Partial("IndexHeader")
            </td>
        </tr>
        <tr style="height:5px;"></tr>
        <tr>
            <td>
                @Html.Action("GridRouteConvertionMaster", "RouteConvertionMaster")
            </td>
        </tr>
    </table>
  

    @Html.DevExpress().PopupControl(settings =>
    {
        settings.Name = "popupnew";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(25);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Modal = true;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        //settings.DragElement = DragElement.Window;
        //settings.ShowHeader = false;
        settings.SetContent(() =>
        {
            Html.RenderPartial("PopupAdd");
        });
    }).GetHtml()

    @Html.DevExpress().PopupControl(settings =>
    {
        settings.Name = "popupedit";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(20);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Modal = true;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        //settings.DragElement = DragElement.Window;
        //settings.ShowHeader = false;
        settings.SetContent(() =>
        {
            Html.RenderPartial("PopupEdit");
        });
    }).GetHtml()


</div>
